UUIDD(8)

NAMN
uuidd - daemon för UUID-generering

SYNOPSIS

uuidd [flaggor]

BESKRIVNING

Daemon uuidd används av UUID-biblioteket för att generera universellt unika identifierare (UUID), särskilt tidsbaserade UUID, på ett säkert och garanterat unikt sätt, även om ett stort antal trådar som körs på olika processorer försöker få tag på UUID.

FLAGGOR

-C, --cont-clock[=number[hd]]
    Activate continuous clock handling for time-based UUIDs. uuidd could use all possible clock values, beginning with the daemon’s start time. The optional argument can be used to set a value for 'max_clock_offset'. This guarantees that a clock value of a UUID will always be within the range of 'max_clock_offset'.

    The option -C or --cont-clock (without an argument) enables the feature with a default 'max_clock_offset' of 2 hours.

    The option -Cnumber or --cont-clock=number enables the feature with a 'max_clock_offset' of number seconds. In case of an appended h or d, number is understood in hours or days. The minimum value is 60 seconds, the maximum value is 365 days.

-d, --debug
    Kör uuidd i felsökningsläge. Detta förhindrar uuidd från att köras som en daemon.

-F, --no-fork
    Använd inte en dubbelgaffel vid daemonisering.

-k, --kill
    Om en uuidd-daemon körs för närvarande, döda den.

-n, --uuids nummer
    När du skickar en testbegäran till en uuidd som körs, begär ett massvar med antal UUID:er.

-P, --no-pid
    Skapa inte en pid-fil.

-p, --pid sökväg
    Ange sökvägsnamnet där pid-filen ska skrivas. Som standard skrivs pid-filen till {runstatedir}/uuidd/uuidd.pid.

-q, --quiet
    Undertrycka vissa felmeddelanden.

-r, --random
    Testa uuidd genom att försöka ansluta till en uuidd-daemon som körs och be den returnera ett slumpbaserat UUID.

-S, --socket-activation
    Skapa inte ett uttag utan förvänta dig istället att den tillhandahålls av den anropande processen. Detta innebär --no-fork och --no-pid. Den här flaggan är endast avsett att användas med systemd(1). Det måste aktiveras med en configure-flagga.

-s, --socket sökväg
    Få uuidd att använda detta sökvägsnamn för unix-domänens uttag. Som standard är det använda sökvägsnamnet {runstatedir}/uuidd/request. Denna flagga är främst avsett för felsökning, eftersom sökvägsnamnet är hårdkodat i biblioteket libuuid.

-T, --timeout nummer
    Gör uuidd utgång efter antal sekunder av inaktivitet.

-t, --time
    Testa uuidd genom att försöka ansluta till en uuidd-daemon som körs och be den returnera ett tidsbaserat UUID.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

EXEMPEL

Starta en daemon, skriv ut 42 slumpmässiga nycklar och stoppa sedan daemon:

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

FÖRFATTARE

Daemon uuidd skrevs av

SE ÄVEN

uuid(3), uuidgen(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot uuidd ingår i paketet util-linux som kan hämtas från